## NAME

r.info - Outputs basic information about a user-specified raster map layer.

## SYNOPSIS

r.info
r.info help
r.info [-rst] map=string

### Flags:

-r
  Print range only
-s
  Print resolution (NS-res, EW-res) only
-t
  Print raster map type only

### Parameters:

map=string
  Name of existing raster map

## DESCRIPTION

r.info reports some basic information about a user-specified raster map layer. This map layer must exist in the user's current mapset search path. Information about the map's boundaries, resolution, projection, data type, category number, data base location and mapset, and history are put into a table and written to standard output. The types of information listed can also be found in the cats, cellhd, and hist directories under the mapset in which the named map is stored.

The user can save the tabular output to a file by using the UNIX redirection mechanism (>); for example, the user might save a report on the soils map layer in a file called soil.rpt by typing:

  r.info map=soils > soil.rpt

Below is the report produced by r.info for the raster map geology in the Spearfish sample data base.

    |------------------------------------------------------------|
    | Layer:    geology        Date: Mon May  4 10:00:14 1987 :  |
    | Location: spearfish      Login of Creator: grass           |
    | Mapset:   PERMANENT                                        |
    | Title:    Geology                                          |
    |------------------------------------------------------------|
    |                                                            |
    |   Type of Map:  raster          Number of Categories: 9    |
    |   Rows:         140                                        |
    |   Columns:      190                                        |
    |   Total Cells:  26600                                      |
    |                                                            |
    |   Projection: UTM (zone 13)                                |
    |      N: 4928000.00    S: 4914000.00   Res: 100.00          |
    |      E:  609000.00    W:  590000.00   Res: 100.00          |
    |                                                            |
    |   Data Source:                                             |
    |   Raster file produced by EROS Data Center                 |
    |                                                            |
    |                                                            |
    |   Data Description:                                        |
    |   Shows the geology for the map area                       |
    |                                                            |
    |   Comments:                                                |
    |                                                            |
    |------------------------------------------------------------|

## SEE ALSO

g.mapsets, r.coin, r.describe, r.report, r.stats, r.support, r.what

## AUTHOR

Michael O'Shea, U.S. Army Construction Engineering Research Laboratory

Last changed: $Date: 2003/05/06 13:32:39 $

Help Index